import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

import beans.*;
import beans.board.*;

public class BoardServlet extends RootServlet {

  private String workDir = jspDir + "/board"; 
  
 /**
  * Ʈ ȭ 
  */ 
	protected void doList(ServicePara sp) {
		BoardMgr bMgr = new BoardMgr();
		//Vector list = bMgr.getList();
		SimpleVector list = bMgr.getList();

		sp.setAttribute("list", list);

    jspPage = workDir + "/list.jsp"; 

    Log.write("jspPge="+jspPage);
	}

 /**
  *  ȭ 
  */ 
  protected void doDetail(ServicePara sp) {
    BoardMgr bMgr = new BoardMgr();
    String code = sp.getParameter("code");
    
    BoardItem item = bMgr.getDetail(code);

    sp.setAttribute("item", item);

    jspPage = workDir + "/detail.jsp"; 
  }

  /**
   *  ȭ 
   */ 
   protected void doEdit(ServicePara sp) {
     BoardMgr bMgr = new BoardMgr();
     String code = sp.getParameter("code");
     
     BoardItem item = bMgr.getDetail(code);

     sp.setAttribute("item", item);

     jspPage = workDir + "/modify.jsp"; 
   }
   
 /**
  * ϱ
  */   
  protected void doRemove(ServicePara sp) {
    BoardMgr bMgr = new BoardMgr();
    String code = sp.getParameter("code");
    
    boolean isTrue = bMgr.deleteBoard(code);
    if (isTrue) {
      confirmPage(sp,"RET_REMOVE_SUCCESS",servletDir+"/BoardServlet?cmd=list");    
    }
    else {
      confirmPage(sp,"RET_REMOVE_FAILURE","javascript:history.go(-1)");
    }
  }
 /**
  * ϱ
  */ 
  protected void doUpdate(ServicePara sp) {
    BoardMgr bMgr = new BoardMgr();
    BoardItem item = new BoardItem();
    Object obj = sp.getItems(item);
    boolean isTrue = bMgr.updateBoard((BoardItem)obj);
    if (isTrue) {
      confirmPage(sp,"RET_UPDATE_SUCCESS",servletDir+"/BoardServlet?cmd=list");    
    }
    else {
      confirmPage(sp,"RET_UPDATE_FAILURE","javascript:history.go(-1)");
    }
  }
  
 /**
  * ߰ϱ
  */        
	protected void doInsert(ServicePara sp) {
		BoardMgr bMgr = new BoardMgr();
		BoardItem item = new BoardItem();
    Object obj = sp.getItems(item);
		boolean isTrue = bMgr.insertBoard((BoardItem)obj);
		if (isTrue) {
      confirmPage(sp,"RET_INSERT_SUCCESS",servletDir+"/BoardServlet?cmd=list");    
		}
		else {
      confirmPage(sp,"RET_INSERT_FAILURE","javascript:history.go(-1)");
		}
	}
} 
