package beans;

import java.util.*;
import java.sql.*;


public class DBConnection {

  private DBConnectionManager connMgr;  
  private Connection conn;
  private Statement stmt;
  private ResultSet rset;  

  private String dbName;

  static {
	System.out.println("DB Connection ...");	
  }

  public DBConnection(String dbName) {
	this.dbName = dbName;
  }

 /**
  * DB Poolκ  ϳ ִ ޽.
  */

  public Connection getDBConnection() {

    connMgr = DBConnectionManager.getInstance();
    return connMgr.getConnection(dbName);
  }

 /**
  * DB Pool  ִ ޽.
  */

  public void freeDBConnection() {
    connMgr.freeConnection(dbName,conn);
  }

  public Statement getStatement() throws SQLException {
    conn = getDBConnection();
    return conn.createStatement();
  }
}

