/**
 * @(#)RootServlet.java 2001.4
 */
 
package beans;


import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;


import java.util.*;

abstract public class RootServlet extends HttpServlet {

  protected String servletDir = getServletDir();
  protected String jspDir = getJspDir();
  protected String jspPage = null;

  protected String getServletDir() {
	  ServicePara sp = new ServicePara();
    return sp.getServletDir();
  }
  
  protected String getJspDir() {
    ServicePara sp = new ServicePara();
    return sp.getJspDir();
  }

 /**
  * query  cmd=list϶ ҷ callback  method
  *  ȸ ɿ 
  */
  protected void doList(ServicePara sp) {
    System.out.println(sp.getMsg("RET_NOT_IMPLEMENTED"));
  }

 /**
  * query  cmd=detail϶ ҷ callback  method
  *  ȸ ɿ 
  */
	protected void doDetail(ServicePara sp) {
    System.out.println(sp.getMsg("RET_NOT_IMPLEMENTED"));
  }
	
 /**
  * query  cmd=edit϶ ҷ callback  method
  *  ȸ ɿ 
  */
	protected void doEdit(ServicePara sp) {
    System.out.println(sp.getMsg("RET_NOT_IMPLEMENTED"));
  }


 /**
  * query  cmd=insert϶ ҷ callback  method
  * ߰ Ʈ ɿ 
  */
  protected void doInsert(ServicePara sp) {
    System.out.println(sp.getMsg("RET_NOT_IMPLEMENTED"));
	}

 /**
  * query  cmd=update϶ ҷ callback  method
  * ߰ Ʈ ɿ 
  */
  protected void doUpdate(ServicePara sp) {
    System.out.println(sp.getMsg("RET_NOT_IMPLEMENTED"));
	}

 /**
  * query  cmd=remove϶ ҷ callback  method
  *  Ʈ ɿ 
  */
  protected void doRemove(ServicePara sp) {
    System.out.println(sp.getMsg("RET_NOT_IMPLEMENTED"));
	}

 /**
  * query  cmd=etc϶ ҷ callback  method
  *  ɿܿ  ɿ 
  */
	protected void doETC(ServicePara sp) {
    System.out.println(sp.getMsg("RET_NOT_IMPLEMENTED"));
  }
        
 /**
  * load ѹ ҷ
  */
  public void init(ServletConfig conf) throws ServletException {
		super.init(conf);
  }

 /**
  * action = get 
  */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException {
		dispatch(request, response);
	}

 /**
  * action = post 
  */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
	throws ServletException, IOException {
		dispatch(request, response);
	}

 /**
  * jsp dispatchѴ.
  */
  private void dispatch(HttpServletRequest request, HttpServletResponse response) {
		
	String cmd = request.getParameter("cmd");       
	ServicePara sp = new ServicePara(request, response);	
        
	try {
     if (cmd.equals("list")) {
      	doList(sp);
      }
      else if (cmd.equals("detail")) {
      	doDetail(sp);
      }
      else if (cmd.equals("edit")) {
        	doEdit(sp);
        }
      else if (cmd.equals("insert")) {
				doInsert(sp);
      }
      else if (cmd.equals("update")) {
				doUpdate(sp);
      }
      else if (cmd.equals("remove")) {
				doRemove(sp);
      }
      else if (cmd.equals("etc")) {
				doETC(sp);
      }

      if (jspPage != null) {
        //Log.write("jspPage="+jspPage);
	      RequestDispatcher rd;                
  	    rd = getServletContext().getRequestDispatcher(jspPage);                
    	  rd.forward(request, response);
      }
		}
    catch(Exception e) {
      Log.mustWrite("servlet error = "+e);
      //e.printStackTrace();
 	  }
	}

 /**
  * error Ǵ Ȯ ȭ
  * @param msg : message String  
  * @param url : Ȯιư Ŭ  URL String    
  */
  protected void confirmPage(ServicePara sp, String msg, String url) {
    jspPage = jspDir+"/error.jsp";
    sp.setAttribute("message", sp.getMsg(msg));
    sp.setAttribute("url", url);   
  }

}
