package beans.board;

public class BoardItem {

	public String code; 
	public String title;     
	public String writer;     
	public String email;    
	public String wdate;     
	public String content;
	public String viewCount;  
	public String year;
	public String month;
	public String day;
    
	public BoardItem() {  
	}

	public BoardItem(boolean isInit) {
		if (isInit) {
			code = "";
			title = "";
			writer = "";
			email = "";
			wdate = "";
			content = "";
			viewCount = "";
		}
	}
 
	public void setCode(String s) {
		code = s;
	}
    
	public void setTitle(String s) {
		title = s;
	}

	public void setWriter(String s) {
		writer = s;
	}        

	public void setEmail(String s) {
		email = s;
	}        

	public void setWdate(String s) {
		wdate = s;
	}            

	public void setContent(String s) {
		content = s;
	}            

	public void setViewCount(String s) {
		viewCount = s;
	}
 
	public String getCode() {
		return code;
	}

	public String getTitle() {
		return title;
	}


	public String getWriter() {
		return writer;
	}        

	public String getEmail() {
		return email;
	}        

	public String getWdate() {
		return wdate;
	}            

	public String getYear() {
		if (!wdate.equals("")) return wdate.substring(0,2);
		return "";
	}

	public String getMonth() {
		if (!wdate.equals("")) return wdate.substring(3,5);
		return "";
	}

	public String getDay() {
		if (!wdate.equals("")) return wdate.substring(6,8);
		return "";
	}  

	public String getContent() {
		return content;
	}            

	public String getViewCount() {
		return viewCount;
	}
	
	public String convertLine(String str){
		try{
			if(str==null) return "";
			StringBuffer sb=new StringBuffer(str);				
			for(int i=0, intIndex=0;(intIndex=str.indexOf('\r', intIndex))>-1;intIndex++,i+=3){			
				sb.replace(intIndex+i,intIndex+i+1,"<br>");
			}
			return sb.toString();
		}catch(NullPointerException  npe){return str;}

	}
}

