package beans.board;


import java.util.*;
import java.sql.*;
import java.io.*;
import beans.*;

public class BoardMgr {
	DBConnection dConn = new DBConnection("pass");

 /**
	* List ´.
	*/  
	public StringLst getList() {
		StringLst list = new StringLst();

		StringBuffer sqlStr = new StringBuffer();    

		sqlStr = sqlStr.append("SELECT REGID,REGNAME,SUBJECT,CONTENT");		
		sqlStr = sqlStr.append(" FROM BOARD_100368");  
		sqlStr = sqlStr.append(" ORDER BY REGID DESC");  
    
		String query = sqlStr.toString();
		Log.write("SQL=\n"+query);                    

		//Vector list = new Vector();

		try {                                     
			Statement stmt = dConn.getStatement();
			ResultSet rset = stmt.executeQuery(query);

			while(rset.next()) {

				BoardItem item = new BoardItem();

				item.setCode(rset.getString("regid"));     
				item.setTitle(rset.getString("subject"));     
				item.setWriter(rset.getString("regname"));
				list.addElement(item);
			}
    }
    catch(SQLException e) {
			System.out.println("**** getList error **** ");
      e.printStackTrace();
		}
		finally {
			dConn.freeDBConnection();
		}
		return list;
	}

 /**
	* Խó뺸
	*/  

	public BoardItem getDetail(String code) {

		StringBuffer sqlStr = new StringBuffer();    

		sqlStr = sqlStr.append("SELECT REGID,SUBJECT,REGNAME,");		
		sqlStr = sqlStr.append("CONTENT FROM BOARD_100368 ");  
		sqlStr = sqlStr.append("WHERE REGID = '"+code+"'");               

		String query = sqlStr.toString();
		Log.write("SQL=\n"+query);                    

		BoardItem item = new BoardItem();

		try {                                     
			Statement stmt = dConn.getStatement();
			ResultSet rset = stmt.executeQuery(query);

			rset.next();

			item.setCode(rset.getString("regid"));
			item.setTitle(rset.getString("subject"));     
			item.setWriter(rset.getString("regname"));			  
			item.setContent(rset.getString("content"));   
    }
    catch(SQLException e) {
			System.out.println("***** getDetail error *****");
      e.printStackTrace();
		}
		finally {
			dConn.freeDBConnection();
		}
		return item;
	}

 /**
	* ߰Ѵ.
	*/
	public boolean insertBoard(BoardItem item) {

		StringBuffer sqlStr = new StringBuffer();
  
    sqlStr = sqlStr.append("INSERT INTO board_100368 VALUES ( ");
    sqlStr = sqlStr.append("(select  NVL(max(regid),0)+1 from board_100368),");
    sqlStr = sqlStr.append("'"+item.getWriter()+"',");
    sqlStr = sqlStr.append("'"+item.getTitle()+"',");
    sqlStr = sqlStr.append("'"+item.getContent()+"'");    
    sqlStr = sqlStr.append(")");        
    String query = sqlStr.toString();
    Log.write("SQL=\n"+query);

		return excuteSql(query);
	}

 /**
	* Ѵ.
	*/
	public boolean updateBoard(BoardItem item) {

		StringBuffer sqlStr = new StringBuffer();

		sqlStr = sqlStr.append("UPDATE board_100368 SET ");
		sqlStr = sqlStr.append("SUBJECT = '"+item.getTitle()+"',");
		sqlStr = sqlStr.append("REGNAME = '"+item.getWriter()+"',");
		sqlStr = sqlStr.append("CONTENT = '"+item.getContent()+"'");
		sqlStr = sqlStr.append("WHERE REGID='"+item.getCode()+"'");    

		String query = sqlStr.toString();
		Log.write("SQL=\n"+query);

		return excuteSql(query);
  }


 /**
	* Ѵ.
	*/
  public boolean deleteBoard(String code) {

		StringBuffer sqlStr = new StringBuffer();

		sqlStr = sqlStr.append("DELETE FROM board_100368 ");
		sqlStr = sqlStr.append("WHERE REGID='"+code+"'");

		String query = sqlStr.toString();
		Log.write("SQL=\n"+query);

		return excuteSql(query);
  }
  
 /**
  * insert,update,delete Ѵ.
  */
  private boolean excuteSql(String query) {
    try {

    	//ѱ     Ѵ. (Exception ó ʿ)     
    	query = new String(query.getBytes("8859_1"),"ksc5601");

      Statement stmt = dConn.getStatement();
      stmt.execute(query);
    }
    catch(SQLException e) {
      Log.write("**** excuteSql error *****");
      e.printStackTrace();
      return false;
    }    
    catch(Exception e) {
      Log.write("**** excuteSql error(2) *****");
      e.printStackTrace();
      return false;
    }        
    finally {
      dConn.freeDBConnection();
    }

    return true;
  }

}

