package beans;


/**
 * PageHandler   ڵ     ȣ 
 *    ֵ Ѵ.
 */
public class PageHandler {
  
  private int lastPage;
  private int startPage; 
  private int endPage;
  
  private int curPage; 
  private int totalRec;
  private int maxNum;
  private int maxPageNum;
  
 /**
  * @param  curPage 
  * @param  totalRec ü ڵ 
  * @param  maxNum  ȭ鿡  ڵ ִ밹
  * @param  maxPageNum ȭ鿡 ְ  ִ    
  */  
  public PageHandler(int curPage,int totalRec,int maxNum, int maxPageNum) {
    this.curPage = curPage;
    this.totalRec = totalRec;
    this.maxNum = maxNum;
    this.maxPageNum = maxPageNum;
    
    // 
    setLastPage(totalRec, maxNum);
    //Start, End  ȣ ó    
    setPageNums(curPage, maxPageNum);
  }

 /**
  *  ȣ setѴ.
  * @param  newTotalRec ü ڵ 
  * @param  newMaxNum  ȭ鿡  ڵ ִ밹
  */  
  private void setLastPage(int newTotalRec, int newMaxPage) {
    int ret;
    float fLastPage = (float)newTotalRec/newMaxPage;
    
    if (newTotalRec % newMaxPage == 0) {
    	lastPage = (int)fLastPage;
    }
    else {
      lastPage = (int)fLastPage + 1;    
    } 
  }

 /**
  *   ȣ ReturnѴ.
  * @return  ȣ
  */
  public int getLastPage() {
    return lastPage;
  }
/**
  *   ȣ ReturnѴ.
  * @return  ȣ
  */
  public int getPrevPage() {
    int prevPage = 0;
    if(curPage > maxPageNum)
        prevPage = curPage - (curPage%maxPageNum) ;
    return prevPage;
  }

 /**
  *   ȣ ReturnѴ.
  * @return  ȣ
  */
  public int getNextPage() {
    int nextPage = endPage + 1;
    if (endPage >= lastPage) return 0;
    return nextPage;
  }


 /**
  * ־  
  *  ù ȣ ReturnѴ.
  * @return ù ȣ
  */
  public int getStartPage() {
    return startPage;
  }

 /**
  * ־  
  *   ȣ ReturnѴ.
  * @return  ȣ
  */
  public int getEndPage() {
    return endPage;
  }
    
 /**
  * Start, End  ȣ ó
  * @parameter  newCurPage 
  * @param  newMaxPageNum ȭ鿡 ְ  ִ    
  */

  private void setPageNums(int newCurPage, int newMaxNum) {
  
    // ȣ startPage  
    if (((newCurPage - 1) % newMaxNum ) == 0) {
      endPage = newCurPage + (newMaxNum - 1);

      if (endPage > lastPage) endPage = lastPage;
      startPage = newCurPage;
    }
    //  endPage 
    else if ((newCurPage % newMaxNum ) == 0) {
      startPage = newCurPage - (newMaxNum - 1);
      //if (startNum < lastNum) startPage = lastPage;
      endPage = newCurPage;
    }
    else {
      //
      for (int i = newCurPage; i > 0; i--) {

        //startPage
        if (((i - 1) % newMaxNum ) == 0) {
          startPage = i;    
          break;
        }
        if (i == 1) startPage = 1;
      }
      //
      for (int i = newCurPage; i <= lastPage; i++) {

        //endPage
        if ((i % newMaxNum ) == 0) {
          endPage = i;
          break;
        }
        if (i == lastPage) endPage = lastPage;
      }
    }
  }


  public static void main (String argv[]) {
  
  // ׽Ʈ ZONEԴϴ.
    
    int cur = 1;
    int total = 7;
    int max = 7;
    int maxPage = 10;
        
    PageHandler p = new PageHandler(cur, total, max, maxPage);

    System.out.println("(int)total = "+total);
    System.out.println("(int)max = "+max);
    System.out.println("(int)cur = "+cur);
    
    System.out.println("(int)lastPage = "+p.lastPage);
    System.out.println("(int)prevPage = "+p.getPrevPage());        
    System.out.println("(int)nextPage = "+p.getNextPage());   
    System.out.println("(int)startPage = "+p.getStartPage());                 
    System.out.println("(int)endPage = "+p.getEndPage());        
  } 
}
